Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search

4. Prerequisites

Prerequisites are the hardware and software elements needed on your system before you can install and use DB2 Express-C 9. This section covers:

4.1. Hardware requirements

4.1.1. Supported processor architectures

  • x86 (32-bit processor)
  • x86–64 (64-bit processor)
  • POWER™ (any iSeries™ or pSeries® that supports Linux)

4.1.2. Disk space requirements

Take into account the disk space requirements before you install and configure DB2 on your distribution:

Table 1. Disk space requirements

Install type

Description

Required disk space

Typical

DB2 is installed with most features and functionality, including graphical tools such as the Control Center.

460 to 560 MB

Compact

DB2 is installed with basic features and functionality, but without the graphical tools.

380 to 460 MB

Custom

This option allows you to select the features and functionality that you want to install.

320 to 820 MB

It's important to allocate enough disk space for the software, along with the product documentation (if desired) and the databases you create.

In DB2 9, product documentation is accessed through the DB2 Information Center, either via the web, or as a local system installation. To install this locally requires at least 100 MB when installing the core English language files. Additional space is required for other additional languages. If disk space is an issue, you can configure DB2 to access the Information Center from the Web. More detail about this is provided in Installing the DB2 Information Center.

4.1.3. Memory requirements

We recommend that you should allocate a minimum of 512 MB of RAM for DB2 Express-C 9, and additional memory should be allocated for other software and communication processes. When determining memory requirements, consider the following points:

  • Your SWAP space should be at least twice as much as your RAM.
  • Additional memory should be allocated for any non-DB2 software that may be running on your system.
  • Additional memory is necessary to support database clients and database activity.
  • These memory requirements will be affected by the size and complexity of your database system, as well as specific performance requirements.
  • The maximum RAM allowed for a DB2 Express-C installation is 4 GB.

4.2. Software requirements

4.2.1. Distribution levels that are supported by DB2 Express-C 9

For a list of all the distributions that are officially supported, as well as the latest information about kernels, libraries, integrated cluster environments, and papers, visit the DB2 for Linux validation web site listed in Resources.

4.2.2. Additional software requirements

Depending on your DB2 requirements, you may be required to install additional software packages for DB2 to function properly. Make sure that these software packages are installed prior to using DB2.

  • X Window System software, capable of rendering a graphical window manager (KDE, Gnome, etc.). You will need this if you want to use the DB2 graphical installer, or any of the DB2 graphical tools.

  • A web browser, to view topics in the DB2 Information Center.

  • If you are using NIS or NIS+ for security authentication on your system, you must create DB2 user accounts before installing DB2.

  • Additional packages, as outlined in the following table:

    Table 2. Package requirements

    Package name

    RPM name

    Description

    compat-libstdc++

    compat-libstdc++

    Required by 64-bit architectures only. Required for backwards compatibility with standard C++ libraries used by DB2.

    nfs-utils

    nfs-utils (version 1.0 or later)

    Network File System support package. It allows access for local files to remote machines. Required for systems utilizing NFS mounted drives.

    To check whether you have these packages installed, use the rpm -q commands:
    rpm -qa compat-libstdc++*
    

    To install these packages on Red Hat Linux, use the Red Hat Linux installation CDs and the rpm command, or the up2date utility. For example, to install the compat-libstdc++ package from the Red Hat Linux CD, mount the Red Hat Linux CD #4, and enter this command as root:

    rpm -ivh /mnt/cdrom/RedHat/RPMS/compat-libstdc++-296-2.96-132.7.2.i386.rpm
    
    To install using the up2date package, run this command as root:
    up2date compat-libstdc++
    

    To install these packages on SUSE Linux, you can also use rpm or use the handy YaST (Yet another Setup Tool) utility. For example, to install nfs-utils on SLES 9 using YaST:

    1. Log on as root

    2. From the YaST Control Center, select Software -> Software Management, then use the search "nfs-utils" to find the appropriate packages.